require 'rexml/document'

origDir = 'K:\000 Shape Data\shapeTools\multiframeAlign\\'
saveDir = 'D:\testResults\pp1init\\'
xmlOpenDir = origDir + 'Experiments\\'
xmlFile = 'pink-panther_init.xml'
program = '"' + origDir + 'Release\multiframeAlign.exe' + '"'

text = File.open(xmlOpenDir + xmlFile).read
doc = REXML::Document.new(text)

(0..39).each do |i|
	doc.root.elements['refFrameIndex'].text = i
	doc.root.elements['autoSaveCorrespondenceResult'].text = saveDir + 'match' + ("\_%03d" % i) + '.data'
	
	# Create a new file and write to it  
	saveFile = saveDir + xmlFile[0..-5] + ("\_%03d" % i) + xmlFile[-4..-1]
	File.open(saveFile, 'w') do |f2|  
		f2.puts doc
	end
	
	# Run the program
	system('call ' + program + ' -b "' + saveFile + '"')
end
